Bug 1333131 - gi.overrides.BlockDev.MDRaidError: Process reported exit code 256: mdadm: Cannot get exclusive access to /dev/md/pv00:Perhaps a running process, mounted filesystem or active volume group?
Summary: gi.overrides.BlockDev.MDRaidError: Process reported exit code 256: mdadm: Can...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeExcepti...
: 1359554 1383622 1396285 (view as bug list)
Depends On:
Blocks: F24BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-05-04 17:47 UTC by Adam Williamson
Modified: 2017-08-08 14:24 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:24:37 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (658.48 KB, text/plain)
2016-05-04 17:47 UTC, Adam Williamson
no flags Details
File: anaconda.log (139.94 KB, text/plain)
2016-05-04 17:47 UTC, Adam Williamson
no flags Details
File: dnf.log (3.59 KB, text/plain)
2016-05-04 17:47 UTC, Adam Williamson
no flags Details
File: environ (459 bytes, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: lsblk_output (2.96 KB, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: lvm.log (44.12 KB, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: nmcli_dev_list (1.26 KB, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: os_info (449 bytes, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: storage.log (208.07 KB, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: syslog (109.85 KB, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: ifcfg.log (2.41 KB, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: packaging.log (1.34 KB, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details
File: program.log (53.29 KB, text/plain)
2016-05-04 17:48 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2016-05-04 17:47:52 UTC
Description of problem:
Tried to do an LVM-on-soft-RAID install of Fedora 24 Beta 1.6 over an LVM-on-soft-RAID install of Fedora 24 Beta 1.4. It no longer hits the infinite recursion bug, but crashes this way instead.

Version-Release number of selected component:
anaconda-24.13.4-1

The following was filed automatically by anaconda:
anaconda 24.13.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.5/site-packages/gi/overrides/BlockDev.py", line 420, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.5/site-packages/blivet/devices/md.py", line 488, in teardown
    blockdev.md.deactivate(self.path)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 483, in _preDestroy
    self.teardown()
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 492, in destroy
    self._preDestroy()
  File "/usr/lib/python3.5/site-packages/blivet/deviceaction.py", line 363, in execute
    self.device.destroy()
  File "/usr/lib/python3.5/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.5/site-packages/blivet/devicetree.py", line 381, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.5/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.5/site-packages/blivet/osinstall.py", line 1096, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/install.py", line 195, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.MDRaidError: Process reported exit code 256: mdadm: Cannot get exclusive access to /dev/md/pv00:Perhaps a running process, mounted filesystem or active volume group?


Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-24 quiet
dnf.rpm.log:    May 04 17:44:48 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.5.2-302.fc24.x86_64
product:        Fedora
release:        Cannot get release name.
reproducible:   Not sure how to reproduce the problem
type:           anaconda
version:        24

Comment 1 Adam Williamson 2016-05-04 17:47:57 UTC
Created attachment 1153960 [details]
File: anaconda-tb

Comment 2 Adam Williamson 2016-05-04 17:47:58 UTC
Created attachment 1153961 [details]
File: anaconda.log

Comment 3 Adam Williamson 2016-05-04 17:47:59 UTC
Created attachment 1153962 [details]
File: dnf.log

Comment 4 Adam Williamson 2016-05-04 17:48:01 UTC
Created attachment 1153963 [details]
File: environ

Comment 5 Adam Williamson 2016-05-04 17:48:02 UTC
Created attachment 1153964 [details]
File: lsblk_output

Comment 6 Adam Williamson 2016-05-04 17:48:03 UTC
Created attachment 1153965 [details]
File: lvm.log

Comment 7 Adam Williamson 2016-05-04 17:48:04 UTC
Created attachment 1153966 [details]
File: nmcli_dev_list

Comment 8 Adam Williamson 2016-05-04 17:48:05 UTC
Created attachment 1153967 [details]
File: os_info

Comment 9 Adam Williamson 2016-05-04 17:48:07 UTC
Created attachment 1153968 [details]
File: storage.log

Comment 10 Adam Williamson 2016-05-04 17:48:08 UTC
Created attachment 1153969 [details]
File: syslog

Comment 11 Adam Williamson 2016-05-04 17:48:10 UTC
Created attachment 1153970 [details]
File: ifcfg.log

Comment 12 Adam Williamson 2016-05-04 17:48:11 UTC
Created attachment 1153971 [details]
File: packaging.log

Comment 13 Adam Williamson 2016-05-04 17:48:12 UTC
Created attachment 1153972 [details]
File: program.log

Comment 14 Adam Williamson 2016-05-04 17:50:21 UTC
This was with the server netinst. I had started with two disks, wiped them completely, and done an LVM-on-RAID install of Fedora 24 Beta 1.4 on them - that is, I selected both disks, went into custom part, deleted all existing contents of both disks, hit 'create them automatically', and changed the LVM VG to RAID-1. That install went OK.

Then I tried to re-install over the top in exactly the same way, with 1.4, and hit https://bugzilla.redhat.com/show_bug.cgi?id=1331630 . 1.6 is supposed to have that bug fixed, so I tried the same thing again with 1.6, and hit this crash.

Comment 15 Adam Williamson 2016-05-04 17:57:04 UTC
Proposing as a Beta blocker because, well, if https://bugzilla.redhat.com/show_bug.cgi?id=1331630 was one, I guess this is too? i.e: Seems to be a conditional violation of "The installer must be able to detect and install to hardware or firmware RAID storage devices" in the case of installing over an existing FW RAID install and of "When using the custom partitioning flow, the installer must be able to: ... Correctly interpret, and modify as described below, any disk with a valid ms-dos or gpt disk label and partition table containing ext4 partitions, LVM and/or btrfs volumes, and/or software RAID arrays at RAID levels 0, 1 and 5 containing ext4 partitions ... Create mount points backed by ext4 partitions, LVM volumes or btrfs volumes, or software RAID arrays at RAID levels 0, 1 and 5 containing ext4 partitions" in the case of installing over an existing SW RAID install...

(I haven't confirmed this one also affects firmware RAID yet, testing that now).

Comment 16 David Lehman 2016-05-04 17:59:53 UTC
I don't see any calls to collect info about pvs.

Comment 17 Adam Williamson 2016-05-05 03:54:22 UTC
I was able to reproduce this by re-running the test. However, as with https://bugzilla.redhat.com/show_bug.cgi?id=1259953 , when I retried *again* after encountering the crash, it worked - though that seems a bit strange, because unlike that bug, the existing layout did not seem to have been deleted by the first (crashed) attempt, on the second attempt, it was still shown in the custom part dialog. But when I chose to delete the existing volumes and create a new LVM-on-RAID layout and ran the install, it worked.

I can try this a few more times tomorrow morning to see if it's reproducible; pschindl, it'd be great if you could also try.

Comment 18 Petr Schindler 2016-05-05 09:03:00 UTC
I tried to reproduce this (installing software raid by erasing disks where is software raid) and after crash the abrt reported it as bug 1333301 The traceback seems to be a duplicate but the error message is different.

Comment 19 Kamil Páral 2016-05-06 10:58:50 UTC
Discussed at a go/no-go meeting [1]. Voted as RejectedBlocker (Beta) AcceptedFreezeException (Beta) - as per bug 1259953 this is a fairly well-identified case with an apparently reliable and simple workaround, we find that acceptable for Beta

[1] https://meetbot.fedoraproject.org/fedora-meeting-1/2016-05-05/f24-beta-go_no_go-meeting.2016-05-05-17.30.html

Comment 20 bpk678 2016-07-25 00:20:02 UTC
*** Bug 1359554 has been marked as a duplicate of this bug. ***

Comment 21 Jan Bušta 2016-10-11 09:29:52 UTC
*** Bug 1383622 has been marked as a duplicate of this bug. ***

Comment 22 John Hebron 2016-11-17 21:23:47 UTC
*** Bug 1396285 has been marked as a duplicate of this bug. ***

Comment 23 Fedora End Of Life 2017-07-25 20:40:20 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 24 Fedora End Of Life 2017-08-08 14:24:37 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.